Get Notes for a Person
curl --request GET \
--url https://api.affinity.co/v2/persons/{personId}/notes \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.affinity.co/v2/persons/{personId}/notes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.affinity.co/v2/persons/{personId}/notes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 1,
"type": "entities",
"content": {
"html": "<p>Met with the founding team to discuss the Series A term sheet.</p>"
},
"creator": {
"id": 1,
"firstName": "Jane",
"lastName": "Smith",
"primaryEmailAddress": "jane.smith@northpointvc.com",
"type": "internal"
},
"mentions": [
{
"id": 1,
"type": "person",
"person": {
"id": 1,
"firstName": "Jane",
"lastName": "Smith",
"primaryEmailAddress": "jane.smith@northpointvc.com",
"type": "internal"
}
}
],
"createdAt": "2023-01-01T00:00:00Z",
"updatedAt": "2023-01-01T00:00:00Z"
},
{
"id": 2,
"type": "entities",
"content": {
"html": "<p>This is another note!</p>"
},
"creator": {
"id": 1,
"firstName": "Jane",
"lastName": "Smith",
"primaryEmailAddress": "jane.smith@northpointvc.com",
"type": "internal"
},
"mentions": [],
"createdAt": "2024-01-01T00:00:00Z",
"updatedAt": "2024-01-01T00:00:00Z"
}
],
"pagination": {
"prevUrl": "https://api.affinity.co/v2/persons/1/notes?cursor=ICAgICAgYmVmb3JlOjo6Nw",
"nextUrl": "https://api.affinity.co/v2/persons/1/notes?cursor=ICAgICAgIGFmdGVyOjo6NA"
}
}Persons
Get Notes for a Person
Returns notes for a given person id which includes directly attached notes, notes on meetings this person attended, and notes where this person is mentioned.
You can filter notes using the filter query parameter. The filter parameter is a string that you can specify conditions based on the following properties.
| Property Name | Type | Allowed Operators | Examples |
|---|---|---|---|
creator.id | int32 | = | creator.id=1 |
createdAt | datetime | >, <, >=, <= | createdAt<2025-02-04T10:48:24Z |
updatedAt | datetime | >, <, >=, <= | updatedAt>=2025-02-03T10:48:24Z |
GET
/
v2
/
persons
/
{personId}
/
notes
Get Notes for a Person
Authorizations
A static Affinity API key, presented as a bearer token.
Path Parameters
Persons ID
Required range:
1 <= x <= 9007199254740991Query Parameters
Filter options
Cursor for the next or previous page
Number of items to include in the page
Required range:
0 <= x <= 100Include total count of the collection in the pagination response
Response
OK
NotesPaged model
data
(notes.EntitiesNote · object | notes.InteractionNote · object | notes.AiNotetakerRootNote · object | notes.UserReplyNote · object | notes.AiNotetakerReplyNote · object)[]
required
A page of Note objects
Maximum array length:
100A Note object attached to an entity (Person, Company, Opportunity)
- notes.EntitiesNote
- notes.InteractionNote
- notes.AiNotetakerRootNote
- notes.UserReplyNote
- notes.AiNotetakerReplyNote
Show child attributes
Show child attributes
Example:
{
"id": 1,
"type": "entities",
"content": { "html": "<p>This is a note!</p>" },
"creator": {
"id": 1,
"firstName": "Jane",
"lastName": "Smith",
"primaryEmailAddress": "jane.smith@northpointvc.com",
"type": "internal"
},
"mentions": [],
"createdAt": "2023-01-01T00:00:00Z",
"updatedAt": "2023-01-21T00:00:00Z"
}
Show child attributes
Show child attributes
Was this page helpful?